#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=..\..\untitled.ico
#AutoIt3Wrapper_outfile=pogreepie.exe
#AutoIt3Wrapper_Compression=4
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

#include <File.au3>

#cs

Hello boys and girls!

PoGreepie creates a number of PO files that were pogrep'ed from a mama file (or tree of mama files), and it adds a character encoding heading to them that PoEdit will recognise, so you can open the resultant files one by one in PoEdit to see how things were translated.  The purpose of PoGreepie is not to create files that can be used with pogmerge (well, you can, but you're gonna by overwriting stuff, and all that).

You need: 

* pogrep.py in the same folder as the script
* Python, installed
* a real operating system
* and, a list of words that you want to pogrep for, one per line (and since these words will be used to create file names, they should not contain characters that can't be included in a file name under MS Windows).

Optionally:

* an audio player, like Honken (or you can substitute VLC if you're into orange GUIs)
* a couple of Ogg Vorbis files of your favourite DNH band, like Tanzwut or Trollfest)

What the script does:

1. Asks the user for: the list of words, the command line to be used (default given), the file to pogrep
2. It determines the number of lines, then loops a loop for that number of times
3. The loop does pogrep using a word from the list, and outputs a PO file with that same name in it
4. I tried to make the script find your credit card details and e-mail it to me as well, but that feature is still in beta and not really guaranteed to work.

#ce

Global $i
Global $j

MsgBox (0, "PoGreepie version 1.0", "(c) Samuel Murray, 2008, CC BY-SA, GPL, LGPL, etc." & @LF & @LF & "PoGreepie does pogrep in bulk on a mama file using words from a list.", 10)

sleep ("100")

$listofwords = FileOpenDialog ("List of words to pogrep", "", "Text files (*.txt)|Other text files (*.*)")

sleep ("100")

$commandtorun = InputBox ("Pogrep command line to execute", "Double-check the pogrep commandline that will be executed (excluding input and output files).", "C:\Python25\python.exe pogrep.py --search=""msgid"" -I -e")

sleep ("100")

$motherfile = FileOpenDialog ("File to be pogrep'ed", "", "Po or pot files (*.po;*.pot)|Other files (*.*)")

sleep ("100")

;  Here we go...!

$listofwordsopen = FileOpen ($listofwords, 128)
$linecount = _FileCountLines ($listofwords)

$linereadstart = FileReadLine ($listofwords, 1)
$linereadend = FileReadLine ($listofwords, $linecount)

MsgBox (0, "What will be done...", "PoGreepie will now run pogrep " & $linecount & " of times, all the way from """ & $linereadstart & """ to """ & $linereadend & """.", 10)

$j = 0

For $i = 1 to $linecount

$lineread = FileReadLine ($listofwords, $i)

RunWait(@ComSpec & " /c " & $commandtorun & " """ & $lineread & """ -i """ & $motherfile & """ -o """ & $motherfile & "_" & $lineread & ".po""", "", @SW_MINIMIZE)

$j = $j+1

Next

MsgBox (0, "Done!", $j & " words processed", 10)





